[when]- with authorization form=authorizationFormAttached == true
[when]- without authorization form=authorizationFormAttached == false
[when]There is an application in {status} status=application : Application(status == ApplicationStatus.{status})
[then]Change application status to {status}=application.setStatus(ApplicationStatus.{status}); update(application); System.out.println("Application status changed to " + application.getStatusName());
[then]Say "{message}"=System.out.println("{message}");
[then]Send {letterType} letter to applicant=LetterRequest request = new LetterRequest(); request.setLetterType(LetterType.{letterType}); request.setRecipientInfo(application.getApplicantInfo()); EndpointManager.send(Endpoint.LETTER_SERVICE, request); 
[when]There is a letter request=request : LetterRequest()
[when]There is a policy issue request=request : PolicyIssueRequest()
[when]There is a medical report request=request : MedicalReportRequest()
[then]{object} is no longer needed=retract({object}); System.out.println("{object} is no longer needed in working memory and was retracted");  
[then]Issue a policy=PolicyIssueRequest request = new PolicyIssueRequest(); request.setInsuredInfo(application.getApplicantInfo()); EndpointManager.send(Endpoint.POLICY_ISSUE_SERVICE, request); 
[then]Order medical report=MedicalReportRequest request = new MedicalReportRequest(); request.setReferenceNumber(application.getNumber()); request.setPersonalInfo(application.getApplicantInfo()); EndpointManager.send(Endpoint.MEDICAL_REPORT_SERVICE, request); 
[when]There is a signed authorization form=authorizationForm : AuthorizationForm(referenceNumber == application.number, signed == true)
[when]There is a medical report=medicalReport : MedicalReport()
[when]- with risk less than {value}=risk < {value}
[when]- with risk greater than {value}=risk > {value}
[when]There is a low risk medical report=medicalReport : MedicalReport(referenceNumber == application.number, risk < 500)
[when]There is a high risk medical report=medicalReport : MedicalReport(referenceNumber == application.number, risk > 500)