package com.demo.insurance.to;

/**
 * This class defines integer constants that represent all valid letter types.
 * In the future (when there is no requirement to be backward compatible with
 * JDK 1.4), this class can become and enumeration.
 * 
 * @author Leon Rubin
 */
public class LetterType {
	/**
	 * A letter that is sent in response to an application that is missing an
	 * authorization form. This letter contains a copy of a blank authorization
	 * form and requests a customer to sign and return it.
	 */
	public static final int AUTHRIZATION_FORM_REQUEST = 1;

	/**
	 * A decline letter sent to a customer informing them that their application
	 * has been declined.
	 */
	public static final int DECLINE = 2;

	/**
	 * Gets the letter type as a string which is often useful for debugging and
	 * other purposes since the letter type is stored as integer.
	 * 
	 * @param letterType
	 *            letter type integer code
	 * @return letter type name
	 */
	public static String getLetterTypeName(int letterType) {
		String statusName = "Invalid Letter Type Code";

		if (letterType == 1) {
			statusName = "AUTHRIZATION_FORM_REQUEST";
		} else if (letterType == 2) {
			statusName = "DECLINE";
		}

		return statusName;
	}
}
