package com.demo.insurance.to;

import com.demo.soa.esb.util.to.ModelBean;

/**
 * This is an abstract base class for all classes that have a reference number
 * and allows them to inherit the property and the associated get and set
 * method.
 * 
 * @author Leon Rubin
 */
public abstract class ObjectWithReferenceNumber extends ModelBean {
	private String referenceNumber;

	/**
	 * Gets the references number that is equal to an application number that
	 * this object is associated with. This number is used to correlate two
	 * objects (applications and authrozation forms, applications and medical
	 * reports, etc).
	 * 
	 * @return String containing the reference number
	 */
	public String getReferenceNumber() {
		return referenceNumber;
	}

	/**
	 * Sets the references number.
	 * 
	 * @return references number
	 */
	public void setReferenceNumber(String referenceNumber) {
		this.referenceNumber = referenceNumber;
	}
}
