package com.demo.insurance.to;

import com.demo.soa.esb.util.to.ModelBean;

/**
 * 
 * @author Leon Rubin
 */
public class PolicyIssueRequest extends ModelBean {
	private PersonalInfo insuredInfo;

	/**
	 * Gets the personal informaiton of the insured.
	 * 
	 * @return personal informaiton of the insured
	 */
	public PersonalInfo getInsuredInfo() {
		return insuredInfo;
	}

	/**
	 * Sets the personal informaiton of the insured.
	 * 
	 * @param applicantInfo
	 *            personal informaiton of the insured
	 */
	public void setInsuredInfo(PersonalInfo insuredInfo) {
		this.insuredInfo = insuredInfo;
	}

	/**
	 * Test the equality of this object and another object by comparing all
	 * individual address fields rather than the default behaviour of comparing
	 * references.
	 * 
	 * @return <code>true</code> if the objects are equal and
	 *         <code>false</code> otherwise
	 */
	public boolean equals(Object o) {
		boolean result = false;

		if (o instanceof PolicyIssueRequest) {
			PolicyIssueRequest policyIssueRequest = (PolicyIssueRequest) o;

			if (insuredInfo.equals(policyIssueRequest.insuredInfo)) {
				result = true;
			}
		}

		return result;
	}

	/**
	 * Creates a hash code for this object by adding the hash codes of
	 * individual fields.
	 * 
	 * @return integer container the hash code for this object
	 */
	public int hashCode() {
		return hashCode(insuredInfo);
	}
}
